Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.upgrade
Class MimeTypeArrayAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.upgrade.Attribute
            |
            +--org.w3c.tools.resources.upgrade.StringArrayAttribute
                  |
                  +--org.w3c.tools.resources.upgrade.MimeTypeArrayAttribute

All Implemented Interfaces:
  java.io.Serializable

public class MimeTypeArrayAttribute
extends StringArrayAttribute

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.w3c.tools.resources.upgrade.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`MimeTypeArrayAttribute(java.lang.String name, MimeType[] def, java.lang.Integer flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid MimeTypeArrayAttribute value ?
`int` | `getPickleLength(java.lang.Object value)` Get the number of bytes required to save that attribute value.
`void` | `pickle(java.io.DataOutputStream out, java.lang.Object sa)` Pickle a String array to the given output stream.
`static java.lang.String[]` | `toStringArray(java.lang.Object array)`
`java.lang.Object` | `unpickle(java.io.DataInputStream in)` Unpickle an MimeType array from the given input stream.

Methods inherited from class org.w3c.tools.resources.upgrade.StringArrayAttribute
`stringify`

Methods inherited from class org.w3c.tools.resources.upgrade.Attribute
`checkFlag, getDefault, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeTypeArrayAttribute

    public MimeTypeArrayAttribute(java.lang.String name,
                                  MimeType[] def,
                                  java.lang.Integer flags)

Method Detail

### toStringArray

    public static java.lang.String[] toStringArray(java.lang.Object array)

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid MimeTypeArrayAttribute value ?

  Overrides:
    `checkValue` in class `StringArrayAttribute`
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.

### getPickleLength

    public int getPickleLength(java.lang.Object value)

  Get the number of bytes required to save that attribute value.

  Overrides:
    `getPickleLength` in class `StringArrayAttribute`
  Returns:
    The number of bytes needed to pickle that value.

### pickle

    public void pickle(java.io.DataOutputStream out,
                       java.lang.Object sa)
                throws java.io.IOException

  Pickle a String array to the given output stream.

  Overrides:
    `pickle` in class `StringArrayAttribute`
  Parameters:
    `out` - The output stream to pickle to.
  Throws:
    `java.io.IOException` - If some IO error occured.

### unpickle

    public java.lang.Object unpickle(java.io.DataInputStream in)
                              throws java.io.IOException

  Unpickle an MimeType array from the given input stream.

  Overrides:
    `unpickle` in class `StringArrayAttribute`
  Parameters:
    `in` - The input stream to unpickle from.
  Returns:
    An instance of MimeType[].
  Throws:
    `java.io.IOException` - If some IO error occured.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD